# FTXUI: LinearGradient::Stop Struct Reference

Loading...
Searching...
No Matches
LinearGradient::Stop Struct Reference

`#include <linear_gradient.hpp>`

## Public Attributes

Color | color = Color::Default
std::optional< float > | position

## Detailed Description

A stop is a color at a specific position in the gradient. The position is a value between 0.0 and 1.0, where 0.0 is the start of the gradient and 1.0 is the end of the gradient.

Definition at line 39 of file linear_gradient.hpp.

## Member Data Documentation

## color

Color color = Color::Default

Definition at line 40 of file linear_gradient.hpp.

## position

std::optional<float> position

Definition at line 41 of file linear_gradient.hpp.

The documentation for this struct was generated from the following file:

- linear_gradient.hpp